PulseAudio 16.1

Data Fields
pa_server_info Struct Reference

Server information. More...

`#include <introspect.h>`

## Data Fields
const char * | user_name
| User name of the daemon process. More...
const char * | host_name
| Host name the daemon is running on. More...
const char * | server_version
| Version string of the daemon. More...
const char * | server_name
| Server package name (usually "pulseaudio") More...
pa_sample_spec | sample_spec
| Default sample specification. More...
const char * | default_sink_name
| Name of default sink. More...
const char * | default_source_name
| Name of default source. More...
uint32_t | cookie
| A random cookie for identifying this instance of PulseAudio. More...
pa_channel_map | channel_map
| Default channel map. More...

## Detailed Description

Server information.

Please note that this structure can be extended as part of evolutionary API updates at any time in any new release.

## Field Documentation

## ◆ channel_map

pa_channel_map pa_server_info::channel_map

Default channel map.

Since
  0.9.15

## ◆ cookie

uint32_t pa_server_info::cookie

A random cookie for identifying this instance of PulseAudio.

## ◆ default_sink_name

const char* pa_server_info::default_sink_name

Name of default sink.

## ◆ default_source_name

const char* pa_server_info::default_source_name

Name of default source.

## ◆ host_name

const char* pa_server_info::host_name

Host name the daemon is running on.

## ◆ sample_spec

pa_sample_spec pa_server_info::sample_spec

Default sample specification.

## ◆ server_name

const char* pa_server_info::server_name

Server package name (usually "pulseaudio")

## ◆ server_version

const char* pa_server_info::server_version

Version string of the daemon.

## ◆ user_name

const char* pa_server_info::user_name

User name of the daemon process.

The documentation for this struct was generated from the following file:

- introspect.h